Skip to main content

Get Subnet

GET 

/projects/:projectId/providers/Aruba.Network/vpcs/:vpcId/subnets/:id

Get Subnet

Request

Path Parameters

    projectId stringrequired

    unique identifier of the project CMP

    vpcId stringrequired

    unique identifier of the vpc in which the subnet has been created

    id stringrequired

    unique identifier of the subnet to retrieve

Query Parameters

    ignoreDeletedStatus boolean

    if the resource exists in status "Deleted", returns NotFound according to the value of this flag

    Default value: false
    api-version string

    The requested API version

    Default value: 1

Responses

OK

Schema

    metadata

    object

    nullable

    id stringnullable
    uri stringnullable
    name stringnullable

    location

    object

    nullable

    code stringnullable
    country stringnullable
    city stringnullable
    name stringnullable
    value stringnullable

    project

    object

    nullable

    id stringnullable
    folderId stringnullable
    tags string[]nullable

    category

    object

    nullable

    name stringnullable
    provider stringnullable

    typology

    object

    nullable

    id stringnullable
    name stringnullable
    creationDate date-timenullable
    createdBy stringnullable
    ownerId stringnullable
    updateDate date-timenullable
    updatedBy stringnullable
    version stringnullable
    createdUser stringnullable
    updatedUser stringnullable

    linkedResources

    object[]

    nullable

  • Array [

  • uri stringnullable
    strictCorrelation boolean
  • ]

  • managedBy stringnullable

    status

    object

    nullable

    state stringnullable
    creationDate date-timenullable

    disableStatusInfo

    object

    nullable

    isDisabled boolean
    reasons string[]

    previousStatus

    object

    nullable

    state stringnullable
    creationDate date-timenullable
    failureReason stringnullable

    error

    object

    nullable

    reason stringnullable
    message stringnullable

    properties

    object

    nullable

    linkedResources

    object[]

    nullable

  • Array [

  • uri stringnullable
    strictCorrelation boolean
  • ]

  • vpc

    object

    nullable

    the vpc where the subnet belongs

    uri stringnullable
    type SubnetType (string)

    type of the subnet

    Possible values: [Basic, Advanced]

    default boolean

    Indicates if the security group is the default one within the vpc

    network

    object

    nullable

    Details of the network

    address string

    Address of the network in CIDR Notation

    gateway string

    IP address of the gateway

    dhcp

    object

    nullable

    Details of the dhcp

    enabled boolean

    True if dhcp is enables

    range

    object

    Range values for ip addresses

    start string

    First ip address

    count int32

    Number of available ip addresses

    last string

    Last ip address

    routes

    object[]

    List of routes

  • Array [

  • address string

    Ip address of the route

    gateway string

    Gateway

  • ]

  • dns string[]

    List of dns

Loading...